
#ifndef	BIOS_ARM_H
#define	BIOS_ARM_H
#ifdef __cplusplus
extern "C" {
#endif

#include "header\gba.h"

IWRAM_CODE void LZ77UnCompWram(void *Srcp, void *Destp);
IWRAM_CODE void LZ77UnCompVram(void *Srcp, void *Destp);
IWRAM_CODE void CpuSet(void *Srcp, void *Destp, u32 flag);
IWRAM_CODE void CpuFastSet(void *Srcp, void *Destp, u32 flag);

/*
0x0B	CpuSet
	\[XAhX w肵AhX 16-bit̒lRs[܂ (DMA̗l)
	Input: R0=source, R1=dest, R2=count and flags

	Input: r0 = source address, r1 = dest address,
	r2 = Length and mode:
	bit 24 = Fixed source address (0 - copy, 1 = set with word at r0)
	bit 26 = 32 or 16 bit transfer (0=16bit,1=32bit)
	bits 15 - 0 = number of transfers 


0x0C	CpuFastSet
	\[XAhX w肵AhX 32-bit̒lRs[܂ (DMA̗l)
	Input: R0=source, R1=dest, R2=count and flags

	Also performs a memory transfer, in 32-byte blocks, using LDMIA/STMIA instructions
	Performs a memory transfer.
	Input: r0 = source address, r1 = dest address 
	r2 = Length and mode:
	bit 24 = Fixed source address (0 - copy, 1 = set with word at r0)
	bits 15 - 0 = number of transfers 
*/

#ifdef __cplusplus
}
#endif
#endif

